Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class TreeNodeRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.TreeNodeRendererBase

All Implemented Interfaces:
  org.richfaces.renderkit.MetaComponentRenderer

Direct Known Subclasses:
  TreeNodeRenderer

    public class TreeNodeRendererBase

extends RendererBase
implements org.richfaces.renderkit.MetaComponentRenderer

Author:
  Nick Belaevski

Constructor Summary
`TreeNodeRendererBase()`

Method Summary
`protected void` | `addClientEventHandlers(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String metaComponentId)`
`protected void` | `encodeCustomIcon(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String styleClass, java.lang.String iconSource)`
`protected void` | `encodeDefaultIcon(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String styleClass)`
`protected void` | `encodeIcon(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `encodeIconForNodeState(javax.faces.context.FacesContext context, AbstractTree tree, AbstractTreeNode treeNode, TreeNodeState nodeState, java.lang.String customIcon)`
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String metaComponentId)`
`protected javax.faces.component.UIComponent` | `getHandleLoadingFacetIfApplicable(javax.faces.component.UIComponent component)`
`protected TreeNodeState` | `getNodeState(javax.faces.context.FacesContext context)`
`protected javax.faces.component.UIComponent` | `getTreeComponent(javax.faces.component.UIComponent treeNodeComponent)`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeNodeRendererBase

    public TreeNodeRendererBase()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `RendererBase`

### decodeMetaComponent

    public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    java.lang.String metaComponentId)

  Specified by:
    `decodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    java.lang.String metaComponentId)
                             throws java.io.IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`
  Throws:
    `java.io.IOException`

### getNodeState

    protected TreeNodeState getNodeState(javax.faces.context.FacesContext context)

### getTreeComponent

    protected javax.faces.component.UIComponent getTreeComponent(javax.faces.component.UIComponent treeNodeComponent)

### encodeDefaultIcon

    protected void encodeDefaultIcon(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component,
                                     java.lang.String styleClass)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeCustomIcon

    protected void encodeCustomIcon(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    java.lang.String styleClass,
                                    java.lang.String iconSource)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeIcon

    protected void encodeIcon(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeIconForNodeState

    protected void encodeIconForNodeState(javax.faces.context.FacesContext context,
                                          AbstractTree tree,
                                          AbstractTreeNode treeNode,
                                          TreeNodeState nodeState,
                                          java.lang.String customIcon)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### addClientEventHandlers

    protected void addClientEventHandlers(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent component)

### getHandleLoadingFacetIfApplicable

    protected javax.faces.component.UIComponent getHandleLoadingFacetIfApplicable(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.